a=float(input('请输入煮饭的时间(分钟):'))
n=int(input('请输入要准备的菜的数量:'))
for i in range(n):
    b=float(input('请输入洗菜的时间(分钟):'))
    c=float(input('请输入烹饪的时间(分钟):'))
    d=float(b+c)
if a>=d:
    print(a)
elif a<d:
    print(d)